#!/usr/bin/php -q
<?php

require_once('../Text/LogSplitter.php');

class Test_Text_LogSplitter extends Text_LogSplitter
{
	var $output = array();
	
	function _outputLine($base_host, $line)
	{
		$this->output[] = $base_host.':'.$line;
	}
}

$splitter = new Test_Text_LogSplitter('test.ini');
$splitter->run();

$correct_output = file('test-output-squid.log');

print "Squid:";
$correct = true;
foreach ($splitter->output as $line => $out) {
	if ($out != trim($correct_output[$line])) {
		print "BAD line $line:\n  $out\n  ".$correct_outout[$line]."\n";
		$correct = false;
	}
}

if ($correct) {
	print "PASS\n";
} else {
	print "FAIL\n";
}


print "Pound:";
unset($correct_output);
$correct_output = file('test-output-pound.log');

$splitter = new Test_Text_LogSplitter('test-pound.ini');
$splitter->run();

$correct = true;
foreach ($splitter->output as $line => $out) {
	if ($out != trim($correct_output[$line])) {
		print "BAD line $line:\n  Received:$out\n  Expected:".$correct_output[$line]."\n";
		$correct = false;
	}
}
//var_dump($correct_output);

if ($correct) {
	print "PASS\n";
} else {
	print "FAIL\n";
}

?>
